package io.gitlab.jfronny.inceptum.launcher.system.install;

import io.gitlab.jfronny.inceptum.launcher.model.inceptum.LoaderInfo;
import io.gitlab.jfronny.inceptum.launcher.model.mojang.VersionInfo;
import io.gitlab.jfronny.inceptum.launcher.util.ProcessState;

public record SetupStepInfo(VersionInfo version,
                            LoaderInfo loader,
                            String name,
                            ProcessState currentState) {
    public void setState(String state) {
        currentState.updateStep(state);
    }
}
